Subject: bug#39808: 28.0.50; toolbar broken

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Feb 2020 12:33:50 -0500

>     Stefan> Looks like my grep-fu was very weak, indeed.
> The '.m' used by the NS files always trips me up.

Yes, that's the regular weakness.  But in the present case I also missed
the occurrence in the gtkutil.c file.  I have no idea how that happened.

>     Stefan> I installed the patch below, which should hopefully fix
>     Stefan> the problem for Gtk and NS builds,
>
> That fixes it for GTK. For NS, the buffer does not get killed, and I
> get the following in the terminal:
[...]
> I think you were over-enthusiastic with your pruning, I put back the
> initialisation of theEvent, that fixes this (Iʼm a bit pressed for
> time tonight, so canʼt commit it right now).

Thanks, I pushed it for you,

        Stefan